Skip to main content
GET
https://punchplay.tv
/
api
/
platform
/
v1
/
me
Get the authenticated PunchPlay identity
curl --request GET \
  --url https://punchplay.tv/api/platform/v1/me \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "username": "<string>",
  "name": "<string>",
  "email": "<string>",
  "token_id": "<string>",
  "scopes": [],
  "developer_app": {
    "id": "<string>",
    "name": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Authenticated identity.

id
string
required
username
string | null
required
name
string | null
required
email
string | null
required
client_type
enum<string>
required
Available options:
platform
token_id
string
required
scopes
enum<string>[]
required
Available options:
profile:read,
playback:read,
playback:write,
events:read
developer_app
object